import request from '@/utils/request'

// 获取常用药品列表（分页）
export function getCommonDrugList(params) {
  return request({
    url: '/app/commonDrug/list',
    method: 'get',
    params
  })
}

// 新增常用药品
export function addCommonDrug(data) {
  return request({
    url: '/app/commonDrug/add',
    method: 'post',
    data
  })
}

// 编辑常用药品
export function editCommonDrug(data) {
  return request({
    url: '/app/commonDrug/edit',
    method: 'post',
    data
  })
}

// 删除常用药品
export function deleteCommonDrug(id) {
  return request({
    url: `/app/commonDrug/delete/${id}`,
    method: 'post'
  })
}
